package com.ss.android.ugc.aweme.ecommerce.service;

import X.2Pr;
import X.CVW;
import X.Ls2;
import X.LsC;
import X.Lt5;
import android.app.Activity;
import android.content.Context;
import android.view.View;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;

public interface IECommerceVideoService {
    static {
        Covode.recordClassIndex(72473);
    }

    View LIZ(Context context, Aweme aweme, String str);

    void LIZ(View view);

    void LIZ(View view, Activity activity, CVW cvw, Ls2<2Pr> ls2);

    void LIZ(View view, Activity activity, String str, String str2, String str3, LsC<? super String, 2Pr> lsC, Lt5<? super Boolean, ? super String, ? super String, ? super String, ? super String, ? super Integer, 2Pr> lt5);

    boolean LIZ();
}
